MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024972Open CASCADE[OCCT] OCCT:Codingpublic2014-05-29 11:472014-11-11 12:52
Reporterski 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024972: Problem of the influence of the includes order during compilation
DescriptionAll includes in files should work independently.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0024447closedbugmaster Includes of ixx and jxx files should be replaced by their content 

-  Notes
(0029619)
ski (developer)
2014-05-30 10:22

Issue was resolved.
Also, unused files from package PColStd were removed.
Changes are located in branch CR24972.
Please, review.
(0029620)
abv (manager)
2014-05-30 10:49

No remarks, please test
(0029661)
mkv (tester)
2014-06-03 20:20

Dear BugMaster,

Branch CR24972 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: d5edf9d610ecc2cf3d325e0579059665ed54ad25

Number of compiler warnings:

occt component :
Linux: 16 (16 on master)
Windows: 0 (0 on master)
MacOS: 200 (203 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 360874848 / 361251064
Total CPU difference: 51118.429999999855 / 53203.02999999999

Testing on Windows:
Total MEMORY difference: 383254112 / 383786648
Total CPU difference: 41358.59375 / 42819.890625

There are no differences in images found by testdiff.

- Related Changesets
occt: master 9b0fb8cd
Timestamp: 2014-06-05 10:18:09
Author: ski
Committer: apn
Details ] Diff ]
0024972: Problem of the influence of the includes order during compilation

All necessary files were included.
Unused files from package PColStd were removed.
mod - src/BOPDS/BOPDS_Curve.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_ListOfPaveBlock.hxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Inter2d.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff ] File ]
mod - src/GeomInt/GeomInt_LineConstructor.lxx Diff ] File ]
mod - src/IntPatch/IntPatch_ImpImpIntersection_0.gxx Diff ] File ]
mod - src/IntTools/IntTools_LineConstructor.lxx Diff ] File ]
rm - src/PColStd/PColStd_HashAsciiString.cdl Diff ] File ]
rm - src/PColStd/PColStd_HashAsciiString.cxx Diff ] File ]
rm - src/PColStd/PColStd_HashExtendedString.cdl Diff ] File ]
rm - src/PColStd/PColStd_HashExtendedString.cxx Diff ] File ]
mod - src/PLib/PLib_HermitJacobi.lxx Diff ] File ]
mod - src/TNaming/TNaming_IteratorOnShapesSet.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-05-29 11:47 ski New Issue
2014-05-29 11:47 ski Assigned To => ski
2014-05-29 11:47 ski Status new => assigned
2014-05-29 11:48 ski Relationship added child of 0024447
2014-05-30 10:22 ski Note Added: 0029619
2014-05-30 10:22 ski Assigned To ski => abv
2014-05-30 10:22 ski Status assigned => resolved
2014-05-30 10:49 abv Note Added: 0029620
2014-05-30 10:49 abv Assigned To abv => bugmaster
2014-05-30 10:49 abv Status resolved => reviewed
2014-05-30 15:11 apn Assigned To bugmaster => apn
2014-06-03 20:20 mkv Note Added: 0029661
2014-06-03 20:21 mkv Test case number => Not needed
2014-06-03 20:21 mkv Assigned To apn => bugmaster
2014-06-03 20:21 mkv Status reviewed => tested
2014-06-05 14:02 apn Target Version => 6.8.0
2014-06-06 12:04 apn Changeset attached => occt master 9b0fb8cd
2014-06-06 12:04 apn Assigned To bugmaster => apn
2014-06-06 12:04 apn Status tested => verified
2014-06-06 12:04 apn Resolution open => fixed
2014-11-11 12:46 aiv Fixed in Version => 6.8.0
2014-11-11 12:52 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker